package com.engine.salary.mapper.salarysob;

import com.engine.salary.entity.salarysob.po.SalarySobDefaultEmpFieldPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

public interface SalarySobDefaultEmpFieldMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<SalarySobDefaultEmpFieldPO> listAll();
    
    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<SalarySobDefaultEmpFieldPO> listSome(SalarySobDefaultEmpFieldPO sobDefaultEmpField);
    

	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	SalarySobDefaultEmpFieldPO getById(Long id);
	
	/**
     * 新增，忽略null字段
     *
     * @param sobDefaultEmpField 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(SalarySobDefaultEmpFieldPO sobDefaultEmpField);
	
	/**
     * 修改，修改所有字段
     *
     * @param sobDefaultEmpField 修改的记录
     * @return 返回影响行数
     */
	int update(SalarySobDefaultEmpFieldPO sobDefaultEmpField);
	
	/**
     * 修改，忽略null字段
     *
     * @param sobDefaultEmpField 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(SalarySobDefaultEmpFieldPO sobDefaultEmpField);
	
	/**
     * 删除记录
     *
     * @param sobDefaultEmpField 待删除的记录
     * @return 返回影响行数
     */
	int delete(SalarySobDefaultEmpFieldPO sobDefaultEmpField);

	void deleteByIds(@Param("ids") Collection<Long> ids);
}